Get all recruiting event details
get
/hcmRestApi/resources/11.13.18.05/recruitingICEEventDetails
Request
Query Parameters
-
expand: string
When this parameter is provided, the specified children are included in the resource payload (instead of just a link). The value of this query parameter is "all" or "". More than one child can be specified using comma as a separator. Example: ?expand=Employees,Localizations. Nested children can also be provided following the format "Child.NestedChild" (Example: ?expand=Employees.Managers). If a nested child is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?expand=Employees.Managers" is the same as "?expand=Employees,Employees.Managers" (which will expand Employees and Managers).
-
fields: string
This parameter filters the resource fields. Only the specified fields are returned, which means that if no fields are specified, no fields are returned (useful to get only the links). If an indirect child resource is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?fields=Employees.Managers:Empname" is the same as "?fields=;Employees:;Employees.Managers:Empname" (which will only return the "Empname" field for Managers). the value of this query parameter is a list of resource fields. The attribute can be a direct (Example: Employees) or indirect (Example: Employees.Managers) child. It cannot be combined with expand query parameter. If both are provided, only fields will be considered.
Format: ?fields=Attribute1,Attribute2
Format for fields in child resource: ?fields=Accessor1:Attribute1,Attribute2 -
finder: string
Used as a predefined finder to search the collection.
Format ?finder=<finderName>;<variableName>=<variableValue>,<variableName2>=<variableValue2>
The following are the available finder names and corresponding finder variables- PrimaryKey Finds the details of a specific recruiting event by its primary key.
Finder Variables- EventId; integer; Unique identifier for the event.
- findByEventNumber Finds event details based on the event number provided.
Finder Variables- EventNumber; string; Event number to search for specific event details.
- PrimaryKey Finds the details of a specific recruiting event by its primary key.
-
limit: integer
This parameter restricts the number of resources returned inside the resource collection. If the limit exceeds the resource count then the framework will only return the available resources.
-
links: string
This parameter can be used to show only certain links while accessing a singular resource or a resource collection. The parameter value format is a comma-separated list of : <link_relation>
Example:
self,canonical -
offset: integer
Used to define the starting position of the resource collection. If offset exceeds the resource count then no resources are returned. Default value is 0.
-
onlyData: boolean
The resource item payload will be filtered in order to contain only data (no links section, for example).
-
orderBy: string
This parameter orders a resource collection based on the specified fields. The parameter value is a comma-separated string of attribute names, each optionally followed by a colon and "asc" or "desc". Specify "asc" for ascending and "desc" for descending. The default value is "asc". For example, ?orderBy=field1:asc,field2:desc
-
q: string
This query parameter defines the where clause. The resource collection will be queried using the provided expressions. The value of this query parameter is one or more expressions. Example: ?q=Deptno>=10 and <= 30;Loc!=NY
Format: ?q=expression1;expression2
You can use these queryable attributes to filter this collection resource using the q query parameter:- DisplayCheckinAction; string; Indicates whether to display the check-in action for the event.
- EventCategory; string; Event category for the recruiting event.
- EventCategoryCode; string; Code for the category of the event.
- EventEndDateString; string; End date of the event.
- EventFormat; string; Specifies the format of the event.
- EventFormatCode; string; Indicates the format code of the event.
- EventId; integer; Code for the format of the event.
- EventLocation; string; Location of the event.
- EventName; string; Name of the event.
- EventNumber; string; Unique identifier for the event. This number distinguishes each event within the system.
- EventRegistrationAllowed; string; Unique identifier for the event. This number distinguishes each event within the app.
- EventStartDateHeaderString; string; Indicates whether event registration is allowed.
- EventStartDateString; string; Indicates whether event registration is allowed.
- InternalBannerImageUrl; string; URL for the internal banner image of the recruiting event.
- LastDayToRegisterString; string; Last day to register for the event.
- ManualRegnConfirmFlag; boolean; Indicates whether manual registration confirmation is required.
- MaxRegCount; integer; Maximum number of registrations allowed for the event.
- MeetingURL; string; Meeting URL for the recruiting event.
- PhaseCode; string; Phase code of the recruiting event.
- PublishTypeCode; string; Indicates the publish type code of the event.
- QrCodeCheckinFlag; boolean; Code for the publish type of the event.
- QuestionnaireId; integer; Unique identifier for the questionnaire associated with the recruiting event.
- RegisteredCount; integer; Number of candidates registered for the event.
-
totalResults: boolean
The resource collection representation will include the "estimated row count" when "?totalResults=true", otherwise the count is not included. The default value is "false".
Header Parameters
-
Metadata-Context: string
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version: string
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
Default Response
The following table describes the default response for this task.
Headers
-
Metadata-Context:
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version:
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Root Schema : recruitingICEEventDetails
Type:
Show Source
object-
count(required): integer
The number of resource instances returned in the current range.
-
hasMore(required): boolean
Indicates whether more resources are available on the server than the subset returned in the response. If the value is true, then there are more resources to retrieve from the server. The default value is false.
-
items: array
Items
Title:
ItemsThe items in the collection. -
limit(required): integer
The actual paging size used by the server.
-
links(required): array
Links
Title:
LinksThe link relations associated with the resource instance. -
offset(required): integer
The offset value used in the current page.
-
totalResults: integer
The estimated row count when "?totalResults=true", otherwise the count is not included.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : recruitingICEEventDetails-item-response
Type:
Show Source
object-
DisplayCheckinAction: string
Read Only:
trueMaximum Length:255Indicates whether to display the check-in action for the event. -
EventCategory: string
Title:
Event CategoryRead Only:trueMaximum Length:255Event category for the recruiting event. -
EventCategoryCode: string
Read Only:
trueMaximum Length:30Code for the category of the event. -
EventEndDateString: string
Title:
End Date and TimeRead Only:trueMaximum Length:255End date of the event. -
EventFormat: string
Title:
Event FormatRead Only:trueMaximum Length:255Specifies the format of the event. -
EventFormatCode: string
Read Only:
trueMaximum Length:30Indicates the format code of the event. -
EventId: integer
(int64)
Read Only:
trueCode for the format of the event. -
EventLocation: string
Title:
LocationRead Only:trueMaximum Length:255Location of the event. -
EventName: string
Read Only:
trueMaximum Length:240Name of the event. -
EventNumber: string
Read Only:
trueMaximum Length:64Unique identifier for the event. This number distinguishes each event within the system. -
EventRegistrationAllowed: string
Read Only:
trueMaximum Length:255Unique identifier for the event. This number distinguishes each event within the app. -
EventStartDateHeaderString: string
Read Only:
trueMaximum Length:255Indicates whether event registration is allowed. -
EventStartDateString: string
Title:
Start Date and TimeRead Only:trueMaximum Length:255Indicates whether event registration is allowed. -
eventTeamMembers: array
Event Team Member Details
Title:
Event Team Member DetailsThe eventTeamMembers resource provides details about team members for recruiting events. -
InternalBannerImageUrl: string
Read Only:
trueMaximum Length:2048URL for the internal banner image of the recruiting event. -
InternalEventDescHtml: string
(byte)
Read Only:
trueInternal event description in HTML format. -
LastDayToRegisterString: string
Title:
Last Day to RegisterRead Only:trueMaximum Length:255Last day to register for the event. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
ManualRegnConfirmFlag: boolean
Read Only:
trueMaximum Length:1Default Value:falseIndicates whether manual registration confirmation is required. -
MaxRegCount: integer
(int32)
Read Only:
trueMaximum number of registrations allowed for the event. -
MeetingURL: string
Read Only:
trueMaximum Length:255Meeting URL for the recruiting event. -
PhaseCode: string
Read Only:
trueMaximum Length:64Phase code of the recruiting event. -
PublishTypeCode: string
Read Only:
trueMaximum Length:30Indicates the publish type code of the event. -
QrCodeCheckinFlag: boolean
Read Only:
trueMaximum Length:1Code for the publish type of the event. -
QuestionnaireId: integer
Read Only:
trueUnique identifier for the questionnaire associated with the recruiting event. -
RegisteredCount: integer
Read Only:
trueNumber of candidates registered for the event.
Nested Schema : Event Team Member Details
Type:
arrayTitle:
Event Team Member DetailsThe eventTeamMembers resource provides details about team members for recruiting events.
Show Source
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : recruitingICEEventDetails-eventTeamMembers-item-response
Type:
Show Source
object-
AssignmentId: integer
(int64)
Read Only:
trueUnique identifier for the team member's assignment in the recruiting event. -
DisplayName: string
Title:
NameRead Only:trueMaximum Length:240Display name of the team member associated with the recruiting event. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
MemberTypeCode: string
Read Only:
trueMaximum Length:30Indicates the type of member in the recruiting event team. -
PersonId: integer
(int64)
Read Only:
trueCode for the type of member in the recruiting event team. -
TeamMemberId: integer
(int64)
Read Only:
trueUnique identifier for the team member associated with the recruiting event.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : link
Type:
Show Source
object-
href: string
Title:
hyperlink referenceThe URI to the related resource. -
kind: string
Title:
kindAllowed Values:[ "collection", "item", "describe", "other" ]The kind of the related resource. -
name: string
Title:
nameThe name of the link to the related resource. -
properties: object
properties
-
rel: string
Title:
relationAllowed Values:[ "self", "lov", "parent", "canonical", "child", "enclosure", "action", "custom" ]The name of the relation to the resource instance. Example: self.
Nested Schema : properties
Type:
Show Source
object-
changeIndicator: string
Change indicator or the ETag value of the resource instance.